### Tube

Category

Annotation

Function

Changes a specified line into a tube.

Syntax

    tube = Tube(line, diameter, ngon, style);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`line` | field | none | line to be drawn as a tube
`diameter` | scalar | input dependent | tube diameter
`ngon` | integer | 8 | number of sides to the tube
`style` | string | "sphere" | style of tube caps

Outputs

Name | Type | Description
--- | --- | ---
`tube` | field | a renderable tube

Functional Details

This module is intended for use with any module that creates lines (e.g., Streamline).

`line` | specifies the line that is to be changed into a tube. If a "normals" component is present (as would occur if the input field `curl` were used with Streamline or if the `flag` parameter is set in Streamline), the tube shows a corresponding twist. To show the twist most effectively, use the Ribbon module. Excessive amounts of twist can produce a pinching effect.
`diameter` | specifies the tube diameter in the same units as those of the original space. If this parameter is not specified, the module provides an appropriate value (1/50 of the diagonal of the boundary box of `line`. This value is attached to the output `tube` as an attribute called "Tube diameter," which can be extracted with the Attribute module.
`ngon` | specifies the number of sides of the cross-sectional polygon of the tube.
`style` | in the current version of Data Explorer has no effect.

Components

Creates new "positions," "connections," and "normals" components. All other components are propagated to the output.

Example Visual Programs

    Imide_potential.net
    Interop.net
    PlotLine2.net
    RubberTube.net

See Also

FaceNormals, Ribbon, Streakline, Streamline

[ OpenDX Home at IBM | OpenDX.org ]